#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-CFZFyCHrVtAXrvuVm7b6I
key:                  foldl-1.4.12-CFZFyCHrVtAXrvuVm7b6I
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  e9322340d1486fb40709e2b1c3a0da3b
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/foldl-1.4.12
hs-libraries:         HSfoldl-1.4.12-CFZFyCHrVtAXrvuVm7b6I
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-KLyLAxsL77RIY9sRzUIx7r containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    primitive-0.7.3.0-9BbAgPS3yUyHY7eNW9n2jO
    profunctors-5.6.2-9y3HYKMfOfo4S5NmF5JVHT
    random-1.2.1-87zKbQkst0gDIGMfu6nhpe
    semigroupoids-5.3.7-8Wom6VTpQQAKPnPSaWK92W text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.15.0-A9lfnG18S4ZIYaUhdODrkP
    vector-0.12.3.1-JI8sEYS2DW2BwfKSRTijMW

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

